View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005850ParaView(No Category)public2007-10-09 19:552009-05-13 13:46
ReporterJon Goldman 
Assigned ToJeff Baumes 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.6Fixed in Version 
Summary0005850: CSV files with blank lines or lines with whitespace cause problems; data does not plot
DescriptionWhen there are blank lines in a CSV file the following type or warning pops up:

Warning: In ..\..\..\..\src\ParaView_srcs\ParaView-3-2-tag\ParaView3\Servers\Filters\vtkCSVReader.cxx, line 369
vtkCSVReader (0AE0F158): Igoring column "V(DA_VIDEO_DIG)" since it does not have enough values for cell data.

And none of the data is visible in plots or spreadsheet view

ParaView3 should ignore "whitespace" lines, or at least WARN the user
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0011327)
Berk Geveci (administrator)
2008-04-15 10:27

Delaying until after the new chart support.
(0015296)
Jeff Baumes (administrator)
2009-02-23 14:18

vtkDelimitedTextReader now skips empty lines and lines containing only whitespace.

This was fixed in the following commit:

/cvsroot/VTK/VTK/Infovis/Testing/Cxx/TestDelimitedTextReader.cxx,v <-- Infovis/Testing/Cxx/TestDelimitedTextReader.cxx
new revision: 1.14; previous revision: 1.13
/cvsroot/VTK/VTK/Infovis/vtkDelimitedTextReader.cxx,v <-- Infovis/vtkDelimitedTextReader.cxx
new revision: 1.24; previous revision: 1.23
(0015325)
Jeff Baumes (administrator)
2009-02-24 09:27

Changing back to "resolved" instead of closed.
(0015358)
Alan Scott (manager)
2009-02-24 20:43

Excellent.

tested client/remote server.

- Issue History
Date Modified Username Field Change
2007-10-09 19:55 Jon Goldman New Issue
2008-04-15 10:27 Berk Geveci Note Added: 0011327
2008-04-15 10:27 Berk Geveci Status backlog => @30@
2008-04-15 10:27 Berk Geveci Category => 3.6
2009-02-19 13:53 Utkarsh Ayachit Status @30@ => tabled
2009-02-19 13:53 Utkarsh Ayachit Assigned To => Jeff Baumes
2009-02-23 14:18 Jeff Baumes Note Added: 0015296
2009-02-23 14:18 Jeff Baumes Status tabled => closed
2009-02-23 14:18 Jeff Baumes Resolution open => fixed
2009-02-24 09:27 Jeff Baumes Note Added: 0015325
2009-02-24 09:27 Jeff Baumes Status closed => @80@
2009-02-24 20:43 Alan Scott Note Added: 0015358
2009-02-24 20:43 Alan Scott Status @80@ => closed
2009-05-13 13:46 Utkarsh Ayachit Target Version => 3.6
2011-06-16 13:10 Zack Galbreath Category => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker